lkml.org 
[lkml]   [2017]   [Nov]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
SubjectRe: [PATCH 4.4 14/56] dt-bindings: Add LEGO MINDSTORMS EV3 compatible specification
On Tue, Nov 14, 2017 at 08:15:58PM +0000, Ben Hutchings wrote:
> On Mon, 2017-11-13 at 13:55 +0100, Greg Kroah-Hartman wrote:
> > 4.4-stable review patch.  If anyone has any objections, please let me
> > know.
> >
> > ------------------
> >
> > From: David Lechner <david@lechnology.com>
> >
> >
> > [ Upstream commit 21078ab174c99885ca83a5c32db0d33b1617745e ]
> >
> > This adds the board level device tree specification for LEGO
> > MINDSTORMS EV3
>
> Nothing uses or implements this in 4.4.

Really?

>
> Ben.
>
> > Acked-by: Rob Herring <robh@kernel.org>
> > Signed-off-by: David Lechner <david@lechnology.com>
> > Signed-off-by: Sekhar Nori <nsekhar@ti.com>
> > Signed-off-by: Sasha Levin <alexander.levin@verizon.com>
> > Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
> > ---
> >  Documentation/devicetree/bindings/arm/davinci.txt |    4 ++++
> >  1 file changed, 4 insertions(+)
> >
> > --- a/Documentation/devicetree/bindings/arm/davinci.txt
> > +++ b/Documentation/devicetree/bindings/arm/davinci.txt
> > @@ -9,6 +9,10 @@ EnBW AM1808 based CMC board
> >  Required root node properties:
> >      - compatible = "enbw,cmc", "ti,da850;
> >  
> > +LEGO MINDSTORMS EV3 (AM1808 based)
> > +Required root node properties:
> > +    - compatible = "lego,ev3", "ti,da850";

I see lots of "ti,da850" dt stuff used in 4.4. As this hardware was
released on 3.2 or so, shouldn't this all be well-used by now?

thanks,

greg k-h

\
 
 \ /
  Last update: 2017-11-15 16:08    [W:0.104 / U:3.052 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site